org.apache.torque

## Class BaseTestCase

- java.lang.Object
- - org.apache.torque.BaseTestCase

- Direct Known Subclasses:
    BasePeerImplTest, BigDecimalMapperTest, ColumnMapTest, ComboKeyTest, CompositeMapperTest, CriteriaTest, CriterionTest, DateMapperTest, IntegerMapperTest, JoinTest, LongMapperTest, NumberKeyTest, ObjectListMapperTest, QueryTest, SqlBuilderTest, StringMapperTest, SummaryHelperTest, TorqueInstanceTest, UniqueListTest

      public abstract class BaseTestCase
      extends Object

  Base functionality to be extended by all Torque test cases. Test case implementations are used to automate unit testing via JUnit.
  Version:
    $Id: BaseTestCase.java 1867515 2019-09-25 15:02:03Z gk $
  Author:
    Daniel Rall, Christopher Elkins

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_FILE` The path to the configuration file.
    `protected Database` | `database` A Reference to the postgresql (default) database.
    `protected DatabaseMap` | `databaseMap` A pre-filled database map.
    `protected Database` | `databaseMysql` A Reference to the mysql database.
    `protected Database` | `databaseOracle` A Reference to the oracle database.
    `protected Database` | `databasePostgresql` A Reference to the postgresql (default) database.
    `protected ColumnMap` | `integerColumnMap` A pre-filled Integer column map.
    `protected ColumnMap` | `stringColumnMap` A pre-filled String column map.
    `protected ColumnMap` | `stringColumnMap2` A pre-filled String column map.
    `protected ColumnMap` | `stringColumnMap3` A pre-filled String column map.
    `protected TableMap` | `tableMap` A pre-filled table map.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTestCase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()` Re-Initialize Torque and fill supplied data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_FILE

          public static final String CONFIG_FILE

      The path to the configuration file.
      See Also:
        Constant Field Values

    - #### tableMap

          protected TableMap tableMap

      A pre-filled table map.

    - #### databaseMap

          protected DatabaseMap databaseMap

      A pre-filled database map.

    - #### database

          protected Database database

      A Reference to the postgresql (default) database.

    - #### databasePostgresql

          protected Database databasePostgresql

      A Reference to the postgresql (default) database.

    - #### databaseMysql

          protected Database databaseMysql

      A Reference to the mysql database.

    - #### databaseOracle

          protected Database databaseOracle

      A Reference to the oracle database.

    - #### stringColumnMap

          protected ColumnMap stringColumnMap

      A pre-filled String column map.

    - #### stringColumnMap2

          protected ColumnMap stringColumnMap2

      A pre-filled String column map.

    - #### stringColumnMap3

          protected ColumnMap stringColumnMap3

      A pre-filled String column map.

    - #### integerColumnMap

          protected ColumnMap integerColumnMap

      A pre-filled Integer column map.

  - ### Constructor Detail

    - #### BaseTestCase

          public BaseTestCase()

  - ### Method Detail

    - #### setUp

          @BeforeEach
          public void setUp()
                                  throws Exception

      Re-Initialize Torque and fill supplied data. Subclasses which override setUp() must call super.setUp() as their first action.
      Throws:
        `Exception` - if initialization fails.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.